REROUTE(8zm)

NAME
reroute - zmailer's utility to move queued message back to router

SYNOPSIS

reroute
    [-c channel] [-h "hostname"] [-V]

DESCRIPTION

The reroute(8zm) is a ZMailer transport agent which sends message from scheduler queue back to router.

The reroute(8zm) program must be run with root privileges and invoked with the same current directory as the scheduler, namely POSTOFFICE/transport.

OPTIONS

-c channel
    Message recipient selector "channel" (optional)

-h "hostname"
    Message recipient selector "host" (optional)

-V  prints a version message and exits.

INTERFACE

This program reads in processable file names relative to the current working directory of the scheduler(8zm) (namely: $POSTIOFFICE/transport/). Optionally on the same line the scheduler(8zm) may tell which host is to be looked for from the recipients of the message.

    relative-spool-path [ <TAB> hostname ]

This program produces diagnostic output on the standard output. Normal diagnostic output is of the form:

    id/offset<TAB>notify-data<TAB>status message

where id is the inode number of the message file, offset is a byte offset within its control file where the address being reported on is kept, status is one of ok, error, or deferred, and the message is descriptive text associated with the report. The text is terminated by a linefeed. Any other format (as might be produced by subprocesses) is passed to standard output for logging in the scheduler(8zm) log.

The exit status is a code from <sysexits.h>.

Z-ENVIRONMENT VARIABLES
This program uses no ZMailer environment variables.

FILES

/usr/local/etc/zmailer/zmailer.conf | (ZCONFIG)
/var/spool/postoffice | (POSTOFFICE)

SEE ALSO
scheduler(8zm), manual-rerouter(8zm), zmailer.conf(5zm).

AUTHOR
This program is authored and copyright by:
    Matti Aarnio <mea@nic.funet.fi>